Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class BeansDescriptor

    java.lang.Object
      org.one2team.highcharts.server.BeansDescriptor

    public class BeansDescriptor

extends java.lang.Object

Constructor Summary
`BeansDescriptor()`

Method Summary
`org.one2team.highcharts.server.BeansDescriptor.Beans` | `getBeans(java.lang.Class<?> beanClass)`
`java.lang.reflect.Field` | `getField(java.lang.Class<?> beanClass, java.lang.String property)`
`java.lang.reflect.Method` | `getGetter(java.lang.Class<?> beanClass, java.lang.String property)`
`java.lang.Object[]` | `getProperties(java.lang.Class<?> beanClass)`
`java.lang.reflect.Method` | `getSetter(java.lang.Class<?> beanClass, java.lang.String property)`
`static BeansDescriptor` | `singleton()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeansDescriptor

    public BeansDescriptor()

Method Detail

### getGetter

    public java.lang.reflect.Method getGetter(java.lang.Class<?> beanClass,
                                              java.lang.String property)

### getSetter

    public java.lang.reflect.Method getSetter(java.lang.Class<?> beanClass,
                                              java.lang.String property)

### getField

    public java.lang.reflect.Field getField(java.lang.Class<?> beanClass,
                                            java.lang.String property)

### getProperties

    public java.lang.Object[] getProperties(java.lang.Class<?> beanClass)

### getBeans

    public org.one2team.highcharts.server.BeansDescriptor.Beans getBeans(java.lang.Class<?> beanClass)

### singleton

    public static BeansDescriptor singleton()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD